Subject: bug#43011: unattended-upgrade fails and doesn't log why

From: Ludovic Courtès <[email-masked]>
Date: Mon, 24 Aug 2020 23:26:58 +0200

Hi Jesse,

Jesse Gibbons <[email-masked]> skribis:

> An example is the attached log. It says the process failed with status
> 1, but it doesn't say what failed or even reference a log in
> /var/log/guix. The only way to find out what could have caused it is
> to run the command, which might not fail the second time if it was a
> network error or (IIUC) if the issue was fixed between failure and
> retry.

The logging issue is fixed by commit
fe42e5f39c9b36f02beec246b376a50e41114b84.  At least you should now have
useful output in /var/log/unattended-upgrade.log.

Make sure to reconfigure and to ‘herd restart mcron’ by Sunday.  :-)

Let us know how it goes!

Thanks,
Ludo’.